---
title: AudioContext.baseLatency
slug: Web/API/AudioContext/baseLatency
tags:
  - API
  - Audio
  - AudioContext
  - Media
  - Property
  - Web Audio API
  - baseLatency
---
<p>{{APIRef("Web Audio API")}}</p>

<p class="summary">The <strong><code>baseLatency</code></strong> read-only property of the {{domxref("AudioContext")}} interface returns a double that represents the number of seconds of processing latency incurred by the <code>AudioContext</code> passing an audio buffer from the {{domxref("AudioDestinationNode")}} — i.e. the end of the audio graph — into the host system's audio subsystem ready for playing.</p>

<div class="notecard note">
<p><strong>Note</strong>: You can request a certain latency during {{domxref("AudioContext.AudioContext()", "construction time", "", "true")}} with the <code>latencyHint</code> option, but the browser may ignore the option.</p>
</div>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate">var <em>baseLatency</em> = <em>audioCtx</em>.baseLatency;</pre>

<h3 id="Value">Value</h3>

<p>A double representing the base latency in seconds.</p>

<h2 id="Example">Example</h2>

<pre class="brush: js notranslate">// default latency ("interactive")
const audioCtx1 = new AudioContext();
console.log(audioCtx1.baseLatency); // 0.00

// higher latency ("playback")
const audioCtx2 = new AudioContext({ latencyHint: 'playback' });
console.log(audioCtx2.baseLatency); // 0.15
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Web Audio API','#dom-audiocontext-baselatency','baseLatency')}}</td>
   <td>{{Spec2('Web Audio API')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_Compatibility">Browser Compatibility</h2>

<div>

<p>{{Compat("api.AudioContext.baseLatency")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web_Audio_API/Using_Web_Audio_API">Using the Web Audio API</a></li>
 <li><a href="/en-US/docs/Web/API/Web_Audio_API">Web Audio API</a></li>
</ul>
</div>
